# DumplingCameraLibFix [![Magisk](https://img.shields.io/badge/Magisk-17%2B-00B39B.svg?style=flat-square)](https://forum.xda-developers.com/apps/magisk/official-magisk-v7-universal-systemless-t3473445) [![Forum](https://img.shields.io/badge/XDA-Forums-f59714.svg?style=flat-square)](https://forum.xda-developers.com/oneplus-5/themes/google-camera-hdr-t3655215)

## Information
This module replaces the camera libraries with modified ones which fix the dot pattern overlay, front camera HDR as well as portrait mode using the Google Camera Mod on the OnePlus 5T.

## Changelog

### v1.0
- Initial release for Magisk v15.0+ (Template version 1500)

### v2.1
- Updated camera libraries from OxygenOS 5.1.2
- Partially fixed OxygenOS's face unlock

### v2.2
- Completely fixed OxygenOS's face unlock

### v2.3
- Updated camera libraries from OxygenOS 5.1.3
- Remove the green hue on all modded Google Cameras

### v2.3-OB11
- Updated camera libraries from OxygenOS Open Beta 11

### v2.3-5.1.4
- Updated camera libraries from OxygenOS Stable 5.1.4

### v2.3-OB13
- Updated camera libraries from OxygenOS Open Beta 13

### v2.3-OB14
- Updated camera libraries from OxygenOS Open Beta 14

### v2.3-OB14
- Updated Magisk module template for Magisk v17.0+ (Template version 17000)

### v2.4
- Updated camera libraries from OxygenOS Open Beta 15
- Fixed front camera portrait mode on the stock OxygenOS camera

## Links
* [GitHub](https://github.com/Magisk-Modules-Repo/CheeseburgerCameraLibFix)
* [Support](https://forum.xda-developers.com/oneplus-5/themes/google-camera-hdr-t3655215)
